API Reference for Marketo Engage

Request Campaign

POST /rest/v1/campaigns/{campaignId}/trigger.json

Passes a set of leads to a trigger campaign to run through the campaign's flow. The designated campaign must have a Campaign is Requested: Web Service API trigger, and must be active. My tokens local to the campaign's parent program can be overridden for the run to customize content. A maximum of 100 leads are allowed per call.

Operation ID
triggerCampaignUsingPOST
Permissions
Execute Campaign
Request format
application/json
Returns
ResponseOfCampaign

Parameters

Path 1

campaignId integer (int32) required

The id of the campaign to trigger

Request body

application/json · optional · TriggerCampaignRequest · 6 properties

input TriggerCampaignData required

Object describing trigger configuration for the campaign

Model TriggerCampaignData

leads array of InputLead required

List of leads for input

Model InputLead

id integer (int64) required

Unique integer id of a lead record

tokens array of Token

List of my tokens to replace during the run of the target campaign. The tokens must be available in a parent program or folder to be replaced during the run

Model Token

name string required

Name of the token. Should be formatted as "{{my.name}}"

value string required

Value of the token

Responses

200 OK ResponseOfCampaign
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of Campaign required

Array of results for individual records in the operation, may be empty

Model Campaign

active boolean

Whether the campaign is active. Only applicable to trigger campaigns

createdAt string required

Datetime when the campaign was created

description string

Description of the Smart Campaign

id integer (int32) required

Unique integer id of the Smart Campaign

name string required

Name of the Smart Campaign

programId integer (int32)

Id of the parent program if applicable

programName string

Name of the parent program if applicable

type string required

Type of the Smart Campaign

Values batch trigger

updatedAt string required

Datetime when the campaign was most recently updated

workspaceName string

Name of the parent workspace if applicable

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "active": false,
      "createdAt": "string",
      "description": "string",
      "id": 123,
      "name": "Example name",
      "programId": 123,
      "programName": "Example name",
      "type": "batch",
      "updatedAt": "string",
      "workspaceName": "Example name"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results